Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.0.90-r1.ebuild
Date: Sun, 31 Jan 2010 06:20:34
Message-Id: E1NbTAa-0005mg-NC@stork.gentoo.org
1 robbat2 10/01/31 06:20:28
2
3 Modified: ChangeLog
4 Added: mysql-5.0.90-r1.ebuild
5 Log:
6 Revision bump. 5.0.90-r1 includes the Percona 5.0.87-b20 patchset directly. Passes upstream testsuite w/ USE='cluster profiling extraengine embedded'. YMMV.
7 (Portage version: 2.2_rc61/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.499 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.499&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.499&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.498&r2=1.499
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.498
20 retrieving revision 1.499
21 diff -p -w -b -B -u -u -r1.498 -r1.499
22 --- ChangeLog 31 Jan 2010 04:47:39 -0000 1.498
23 +++ ChangeLog 31 Jan 2010 06:20:28 -0000 1.499
24 @@ -1,6 +1,14 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.498 2010/01/31 04:47:39 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.499 2010/01/31 06:20:28 robbat2 Exp $
29 +
30 +*mysql-5.0.90-r1 (31 Jan 2010)
31 +
32 + 31 Jan 2010; Robin H. Johnson <robbat2@g.o>
33 + +mysql-5.0.90-r1.ebuild:
34 + Revision bump. 5.0.90-r1 includes the Percona 5.0.87-b20 patchset
35 + directly. Passes upstream testsuite w/ USE='cluster profiling extraengine
36 + embedded'. YMMV.
37
38 *mysql-5.0.90 (31 Jan 2010)
39 *mysql-5.0.88 (31 Jan 2010)
40
41
42
43 1.1 dev-db/mysql/mysql-5.0.90-r1.ebuild
44
45 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.90-r1.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.90-r1.ebuild?rev=1.1&content-type=text/plain
47
48 Index: mysql-5.0.90-r1.ebuild
49 ===================================================================
50 # Copyright 1999-2010 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.90-r1.ebuild,v 1.1 2010/01/31 06:20:28 robbat2 Exp $
53
54 MY_EXTRAS_VER="20100131-0616Z"
55 EAPI=2
56
57 inherit toolchain-funcs mysql
58 # only to make repoman happy. it is really set in the eclass
59 IUSE="$IUSE"
60
61 # Define the mysql-extras source
62 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
63
64 # REMEMBER: also update eclass/mysql*.eclass before committing!
65 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
66
67 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
68 EPATCH_EXCLUDE=''
69
70 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
71 RDEPEND=""
72
73 # Please do not add a naive src_unpack to this ebuild
74 # If you want to add a single patch, copy the ebuild to an overlay
75 # and create your own mysql-extras tarball, looking at 000_index.txt
76
77 # Official test instructions:
78 # USE='berkdb cluster embedded extraengine perl ssl community' \
79 # FEATURES='test userpriv -usersandbox' \
80 # ebuild mysql-X.X.XX.ebuild \
81 # digest clean package
82 src_test() {
83 # Bug #213475 - MySQL _will_ object strenously if your machine is named
84 # localhost. Also causes weird failures.
85 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
86
87 emake check || die "make check failed"
88 if ! use "minimal" ; then
89 if [[ $UID -eq 0 ]]; then
90 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
91 fi
92 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
93 cd "${S}"
94 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
95 local retstatus1
96 local retstatus2
97 local t
98 addpredict /this-dir-does-not-exist/t9.MYI
99
100 # Ensure that parallel runs don't die
101 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
102
103 # archive_gis really sucks a lot, but it's only relevant for the
104 # USE=extraengines case
105 case ${PV} in
106 5.0.42)
107 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
108 ;;
109
110 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
111 [ "$(tc-endian)" == "big" ] && \
112 mysql_disable_test \
113 "archive_gis" \
114 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
115 ;;
116 esac
117
118 # This was a slight testcase breakage when the read_only security issue
119 # was fixed.
120 case ${PV} in
121 5.0.54|5.0.51*)
122 mysql_disable_test \
123 "read_only" \
124 "Broken in 5.0.51-54, output in wrong order"
125 ;;
126 esac
127
128 # Ditto to read_only
129 [ "${PV}" == "5.0.51a" ] && \
130 mysql_disable_test \
131 "view" \
132 "Broken in 5.0.51, output in wrong order"
133
134 # x86-specific, OOM issue with some subselects on low memory servers
135 [ "${PV}" == "5.0.54" ] && \
136 [ "${ARCH/x86}" != "${ARCH}" ] && \
137 mysql_disable_test \
138 "subselect" \
139 "Testcase needs tuning on x86 for oom condition"
140
141 # Broke with the YaSSL security issue that didn't affect Gentoo.
142 [ "${PV}" == "5.0.56" ] && \
143 for t in openssl_1 rpl_openssl rpl_ssl ssl \
144 ssl_8k_key ssl_compress ssl_connect ; do \
145 mysql_disable_test \
146 "$t" \
147 "OpenSSL tests broken on 5.0.56"
148 done
149
150 # New test was broken in first time
151 # Upstream bug 41066
152 # http://bugs.mysql.com/bug.php?id=41066
153 [ "${PV}" == "5.0.72" ] && \
154 mysql_disable_test \
155 "status2" \
156 "Broken in 5.0.72, new test is broken, upstream bug #41066"
157
158 # The entire 5.0 series has pre-generated SSL certificates, they have
159 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
160 # The certs really SHOULD be generated for the tests, so that they are
161 # not expiring like this. We cannot do so ourselves as the tests look
162 # closely as the cert path data, and we do not have the CA key to regen
163 # ourselves. Alternatively, upstream should generate them with at least
164 # 50-year validity.
165 #
166 # Known expiry points:
167 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
168 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
169 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
170 #
171 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
172 # expired/invalid.
173 case ${PV} in
174 5.0.*|5.1.*)
175 for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
176 ssl_compress ssl_connect ; do \
177 mysql_disable_test \
178 "$t" \
179 "These OpenSSL tests break due to expired certificates"
180 done
181 ;;
182 esac
183
184 # create directories because mysqladmin might right out of order
185 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
186
187 # We run the test protocols seperately
188 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
189 retstatus1=$?
190 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
191 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
192
193 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
194 retstatus2=$?
195 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
196 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
197
198 # Cleanup is important for these testcases.
199 pkill -9 -f "${S}/ndb" 2>/dev/null
200 pkill -9 -f "${S}/sql" 2>/dev/null
201 failures=""
202 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
203 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
204 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
205 [[ -z "$failures" ]] || die "Test failures: $failures"
206 einfo "Tests successfully completed"
207 else
208 einfo "Skipping server tests due to minimal build."
209 fi
210 }